Loading...
Searching...
No Matches
Halide::Internal::select_type< First > Struct Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::select_type< First >:

## Public Types

using | type = typename std::conditional<First::value, typename First::type, void>::type

## Detailed Description

template<typename First>
struct Halide::Internal::select_type< First >

Definition at line 389 of file Generator.h.

## Member Typedef Documentation

## type

template<typename First>

using Halide::Internal::select_type< First >::type = typename std::conditional<First::value, typename First::type, void>::type

Definition at line 390 of file Generator.h.

The documentation for this struct was generated from the following file:

- src/Generator.h